resources/videos/methods/remix/index.md +0 −174 deleted
File Deleted View Diff
1## Remix video
2
3**post** `/videos/{video_id}/remix`
4
5Create a remix of a completed video using a refreshed prompt.
6
7### Path Parameters
8
9- `video_id: string`
10
11### Body Parameters
12
13- `prompt: string`
14
15 Updated text prompt that directs the remix generation.
16
17### Returns
18
19- `Video object { id, completed_at, created_at, 10 more }`
20
21 Structured information describing a generated video job.
22
23 - `id: string`
24
25 Unique identifier for the video job.
26
27 - `completed_at: number`
28
29 Unix timestamp (seconds) for when the job completed, if finished.
30
31 - `created_at: number`
32
33 Unix timestamp (seconds) for when the job was created.
34
35 - `error: VideoCreateError`
36
37 Error payload that explains why generation failed, if applicable.
38
39 - `code: string`
40
41 A machine-readable error code that was returned.
42
43 - `message: string`
44
45 A human-readable description of the error that was returned.
46
47 - `expires_at: number`
48
49 Unix timestamp (seconds) for when the downloadable assets expire, if set.
50
51 - `model: VideoModel`
52
53 The video generation model that produced the job.
54
55 - `string`
56
57 - `"sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more`
58
59 - `"sora-2"`
60
61 - `"sora-2-pro"`
62
63 - `"sora-2-2025-10-06"`
64
65 - `"sora-2-pro-2025-10-06"`
66
67 - `"sora-2-2025-12-08"`
68
69 - `object: "video"`
70
71 The object type, which is always `video`.
72
73 - `"video"`
74
75 - `progress: number`
76
77 Approximate completion percentage for the generation task.
78
79 - `prompt: string`
80
81 The prompt that was used to generate the video.
82
83 - `remixed_from_video_id: string`
84
85 Identifier of the source video if this video is a remix.
86
87 - `seconds: string`
88
89 Duration of the generated clip in seconds. For extensions, this is the stitched total duration.
90
91 - `size: VideoSize`
92
93 The resolution of the generated video.
94
95 - `"720x1280"`
96
97 - `"1280x720"`
98
99 - `"1024x1792"`
100
101 - `"1792x1024"`
102
103 - `status: "queued" or "in_progress" or "completed" or "failed"`
104
105 Current lifecycle status of the video job.
106
107 - `"queued"`
108
109 - `"in_progress"`
110
111 - `"completed"`
112
113 - `"failed"`
114
115### Example
116
117```http
118curl https://api.openai.com/v1/videos/$VIDEO_ID/remix \
119 -H 'Content-Type: application/json' \
120 -H "Authorization: Bearer $OPENAI_API_KEY" \
121 -d '{
122 "prompt": "x"
123 }'
124```
125
126#### Response
127
128```json
129{
130 "id": "id",
131 "completed_at": 0,
132 "created_at": 0,
133 "error": {
134 "code": "code",
135 "message": "message"
136 },
137 "expires_at": 0,
138 "model": "string",
139 "object": "video",
140 "progress": 0,
141 "prompt": "prompt",
142 "remixed_from_video_id": "remixed_from_video_id",
143 "seconds": "seconds",
144 "size": "720x1280",
145 "status": "queued"
146}
147```
148
149### Example
150
151```http
152curl -X POST https://api.openai.com/v1/videos/video_123/remix \
153 -H "Authorization: Bearer $OPENAI_API_KEY" \
154 -H "Content-Type: application/json" \
155 -d '{
156 "prompt": "Extend the scene with the cat taking a bow to the cheering audience"
157 }'
158```
159
160#### Response
161
162```json
163{
164 "id": "video_456",
165 "object": "video",
166 "model": "sora-2",
167 "status": "queued",
168 "progress": 0,
169 "created_at": 1712698600,
170 "size": "720x1280",
171 "seconds": "8",
172 "remixed_from_video_id": "video_123"
173}
174```